Subject: Re: bug#53326: snap: Fails to build (hash mismatch)

From: Maxime Devos <[email-masked]>
Date: Tue, 18 Jan 2022 08:02:57 +0000

Nicolas Goaziou schreef op di 18-01-2022 om 00:41 [+0100]:
> Maybe the upstream Snap maintainer changed the repo commit where the
> tag
> `v7.0.3` points at after the Guix package definition was updated?

It looks like so, because I'm pretty sure I tested it when I bumped it
to 7.0.3.

In any case, I updated it to 7.0.5. Hopefully, it now builds. Thank you
for the report.

Since 'snap' has a history of mutating tags in-place, maybe it would
would be a good idea to replace (string-append "v" version) with the
actual commit string (and not a tag name), to avoid future breakage
and help "guix time-machine" users?

Greetings,
Maxime